#!/usr/bin/perl

## --------------------------------------------------------------------------------
##  $Id: upload.pl,v 1.1 2003/01/20 21:24:33 joko Exp $
## --------------------------------------------------------------------------------
##  $Log: upload.pl,v $
##  Revision 1.1  2003/01/20 21:24:33  joko
##  + some convenient shortcut-scripts around tar and scp - please this path to your PATH to get maximum satisfaction out of it!
##
## --------------------------------------------------------------------------------


use strict;
use warnings;

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -   preambel

# determine and set 'libpath' at runtime, but before execution
my $libpath;
BEGIN {
  use FindBin qw($Bin);
  $libpath = "$Bin/../../libs";
}

# use '$libpath' path to look for additional modules
use lib $libpath;


# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -   main

use org::netfrag::shortcuts qw(
  run_cmd run_cmds
);


my $arg1 = shift;
die "Please specify item to release on the command-line." if !$arg1;

my $arg2 = shift;
$arg2 ||= '';

my $cmd = 'scp -r ' . $arg1 . ' joko@netfrag.org:/home/joko/public_html/computing/releases/01-snapshots/' . $arg2;
run_cmd($cmd);

1;
__END__
